function testProjection
i=imread('flyer1.tif');
%i=imread('cameraman.tif');
i=im2double(i);
subplot(1,2,1), imshow(i);

%get selections:
points = ginput(4);

%visualise the selected region:
plotQuadragon(points');
drawnow;    %impatience

%a nominal output size:
m = 400;
n = 566;

%do the magic
tic;
a = myProjection(i, points', m, n, 'linear');
toc;

%plot result side-by-side with original
subplot(1,2,2), imshow(a);
hold off;

%hopefully it worked...